Public Member Functions

# BinNavi.API.debug.BookmarkManager Class Reference

Used to set and manage memory bookmarks. More...

List of all members.

## Public Member Functions
void | addBookmark (final Address address, final String description)
| Creates a new bookmark.
void | addListener (final IBookmarkManagerListener listener)
| Adds a bookmark manager listener.
Bookmark | getBookmark (final Address address)
| Returns the bookmark at a given address.
Bookmark | getBookmark (final int index)
| Returns a bookmark identified by an index.
int | getNumberOfBookmarks ()
| Number of bookmarks.
void | removeBookmark (final Address address)
| Removes a bookmark.
void | removeListener (final IBookmarkManagerListener listener)
| Removes a bookmark manager listener.
String | toString ()
| Printable representation of the bookmark manager.

## Detailed Description

Keeps track of all known bookmarks of one debugger.

## Member Function Documentation

void BinNavi.API.debug.BookmarkManager.addBookmark | ( | final Address | address,
|  | final String | description |
| ) |  |  |

Creates a new bookmark with an address and a description.

Parameters:

  | address | The address of the new bookmark.
  | description | The description of the new bookmark.

void BinNavi.API.debug.BookmarkManager.addListener | ( | final IBookmarkManagerListener | listener | ) |

Adds an object that is notified about changes in the bookmark manager.

Parameters:

  | listener | The listener object that is notified about changes in the bookmark manager.

Bookmark BinNavi.API.debug.BookmarkManager.getBookmark | ( | final int | index | ) |

Returns a bookmark identified by an index.

Parameters:

  | index | The index of the bookmark. (0 <= index < getNumberOfBookmarks());

Returns:
  The bookmark with the given index.

Bookmark BinNavi.API.debug.BookmarkManager.getBookmark | ( | final Address | address | ) |

Returns the bookmark at a given address.

Parameters:

  | address | The address of the bookmark.

Returns:
  The bookmark at the given address or null if there is no such address.

int BinNavi.API.debug.BookmarkManager.getNumberOfBookmarks | ( |  | ) |

Returns the number of bookmarks managed by the bookmark manager.

Returns:
  The number of managed bookmarks.

void BinNavi.API.debug.BookmarkManager.removeBookmark | ( | final Address | address | ) |

Removes the memory bookmark at the given address.

Parameters:

  | address | Address of the bookmark.

void BinNavi.API.debug.BookmarkManager.removeListener | ( | final IBookmarkManagerListener | listener | ) |

Removes a listener object from the bookmark manager.

Parameters:

  | listener | The listener object to remove from the bookmark manager.

String BinNavi.API.debug.BookmarkManager.toString | ( |  | ) |

Returns a string representation of the bookmark manager.

Returns:
  A string representation of the bookmark manager.